Reactivate and Restart Automation
POST
/api/v3/automations/{automationUniqueId}/actions/reactivate-and-restart
This endpoint restarts the specified automation, in the event that as part of editorial — someone didn’t republish a change — the automation disabled itself. Yep - this is a pretty specific use-case. The unpublished template will be published and then subsequently available to future automation use - and then the automation itself will be re-enabled.
Our v3 endpoints require a company-level API key.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” automationUniqueId
required
string
Request Body
Section titled “Request Body ”object
api
boolean
Examples
Example Reactivate and Restart Automation
{ "api": true}object
api
required | When set to true, this endpoint will accept authorization with your API Key.
string
Example
trueResponses
Section titled “ Responses ”202 - Reactivated and restarted
Media type application/json
object
items
message
string
total
number
Examples
Example 202 - Reactivated and restarted
{ "items": null, "message": "Automation reactivated and restarted successfully", "total": 0}Still can’t find what you need? Contact support.